| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SEGY::BinHeader Class Reference
Seis

400 byte SEG-Y binary header
More...

`#include <segyhdr.h>`

## Public Member Functions
| BinHeader ()
| ~BinHeader ()
unsigned char * | buf ()
const unsigned char * | buf () const
int | bytesPerSample () const
void | dump (od_ostream &) const
int | entryVal (int idx) const
short | format () const
void | guessIsSwapped ()
bool | isInFeet () const
bool | isRev0 () const
bool | isSwapped () const
int | nrSamples () const
int | rawSampleRate () const
int | revision () const
float | sampleRate (bool isdpth) const
void | setEntryVal (int idx, int val)
void | setFormat (short i)
void | setForWrite ()
void | setInFeet (bool yn)
void | setInput (const void *, bool needswap=false)
void | setIsSwapped (bool yn)
void | setNrSamples (int i)
void | setSampleRate (float, bool isdpth)
void | setValueAt (int bytenr, int)
int | skipRev1Stanzas (od_istream &)
| returns number skipped
void | unSwap ()
int | valueAt (int bytenr)

## Static Public Member Functions
static int | EntryDt ()
static int | EntryFmt ()
static int | EntryJobID ()
static int | EntryLino ()
static int | EntryMFeet ()
static int | EntryNs ()
static int | EntryRevCode ()
static int | EntryTsort ()
static int | formatBytes (int frmt)
static DataCharacteristics | getDataChar (int frmt, bool dataswapped)
static const HdrDef & | hdrDef ()
static bool | isValidFormat (int f)

## Protected Attributes
unsigned char | buf_ [400]
bool | forwrite_ = false
bool | needswap_ = false

## Detailed Description

400 byte SEG-Y binary header

<>

## Constructor & Destructor Documentation

## ◆ BinHeader()

SEGY::BinHeader::BinHeader | ( |  | ) |

## ◆ ~BinHeader()

SEGY::BinHeader::~BinHeader | ( |  | ) |

## Member Function Documentation

## ◆ buf() [1/2]

unsigned char * SEGY::BinHeader::buf | ( |  | ) |
| inline

## ◆ buf() [2/2]

const unsigned char * SEGY::BinHeader::buf | ( |  | ) | const
| inline

## ◆ bytesPerSample()

int SEGY::BinHeader::bytesPerSample | ( |  | ) | const
| inline

## ◆ dump()

void SEGY::BinHeader::dump | ( | od_ostream & |  | ) | const

## ◆ EntryDt()

static int SEGY::BinHeader::EntryDt | ( |  | ) |
| inline static

## ◆ EntryFmt()

static int SEGY::BinHeader::EntryFmt | ( |  | ) |
| inline static

## ◆ EntryJobID()

static int SEGY::BinHeader::EntryJobID | ( |  | ) |
| inline static

## ◆ EntryLino()

static int SEGY::BinHeader::EntryLino | ( |  | ) |
| inline static

## ◆ EntryMFeet()

static int SEGY::BinHeader::EntryMFeet | ( |  | ) |
| inline static

## ◆ EntryNs()

static int SEGY::BinHeader::EntryNs | ( |  | ) |
| inline static

## ◆ EntryRevCode()

static int SEGY::BinHeader::EntryRevCode | ( |  | ) |
| inline static

## ◆ EntryTsort()

static int SEGY::BinHeader::EntryTsort | ( |  | ) |
| inline static

## ◆ entryVal()

int SEGY::BinHeader::entryVal | ( | int | idx | ) | const
| inline

## ◆ format()

short SEGY::BinHeader::format | ( |  | ) | const
| inline

## ◆ formatBytes()

static int SEGY::BinHeader::formatBytes | ( | int | frmt | ) |
| inline static

## ◆ getDataChar()

static DataCharacteristics SEGY::BinHeader::getDataChar | ( | int | frmt,
|  | bool | dataswapped )
| static

## ◆ guessIsSwapped()

void SEGY::BinHeader::guessIsSwapped | ( |  | ) |

## ◆ hdrDef()

static const HdrDef & SEGY::BinHeader::hdrDef | ( |  | ) |
| static

## ◆ isInFeet()

bool SEGY::BinHeader::isInFeet | ( |  | ) | const
| inline

## ◆ isRev0()

bool SEGY::BinHeader::isRev0 | ( |  | ) | const
| inline

## ◆ isSwapped()

bool SEGY::BinHeader::isSwapped | ( |  | ) | const
| inline

## ◆ isValidFormat()

static bool SEGY::BinHeader::isValidFormat | ( | int | f | ) |
| inline static

## ◆ nrSamples()

int SEGY::BinHeader::nrSamples | ( |  | ) | const
| inline

## ◆ rawSampleRate()

int SEGY::BinHeader::rawSampleRate | ( |  | ) | const
| inline

## ◆ revision()

int SEGY::BinHeader::revision | ( |  | ) | const

## ◆ sampleRate()

float SEGY::BinHeader::sampleRate | ( | bool | isdpth | ) | const

## ◆ setEntryVal()

void SEGY::BinHeader::setEntryVal | ( | int | idx,
|  | int | val )
| inline

## ◆ setFormat()

void SEGY::BinHeader::setFormat | ( | short | i | ) |
| inline

## ◆ setForWrite()

void SEGY::BinHeader::setForWrite | ( |  | ) |

## ◆ setInFeet()

void SEGY::BinHeader::setInFeet | ( | bool | yn | ) |
| inline

## ◆ setInput()

void SEGY::BinHeader::setInput | ( | const void * | ,
|  | bool | needswap = false )

## ◆ setIsSwapped()

void SEGY::BinHeader::setIsSwapped | ( | bool | yn | ) |
| inline

## ◆ setNrSamples()

void SEGY::BinHeader::setNrSamples | ( | int | i | ) |
| inline

## ◆ setSampleRate()

void SEGY::BinHeader::setSampleRate | ( | float | ,
|  | bool | isdpth )

## ◆ setValueAt()

void SEGY::BinHeader::setValueAt | ( | int | bytenr,
|  | int | )

## ◆ skipRev1Stanzas()

int SEGY::BinHeader::skipRev1Stanzas | ( | od_istream & |  | ) |

returns number skipped

## ◆ unSwap()

void SEGY::BinHeader::unSwap | ( |  | ) |

## ◆ valueAt()

int SEGY::BinHeader::valueAt | ( | int | bytenr | ) |

## Member Data Documentation

## ◆ buf_

unsigned char SEGY::BinHeader::buf_[400]
| protected

## ◆ forwrite_

bool SEGY::BinHeader::forwrite_ = false
| protected

## ◆ needswap_

bool SEGY::BinHeader::needswap_ = false
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025